Bug 156 - tdbsam database does not contains unix_homedir field
tdbsam database does not contains unix_homedir field
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P2 normal
: none
Assigned To: Simo Sorce
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-12 04:38 UTC by Laszlo Kupor
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Kupor 2003-06-12 04:38:25 UTC
I would use system passwd database independet samba installation, all seems
works well but idmap-ed users can`t use homes special share, because if i use
tdbsam passdb backend  unix_homedir come from getpwent from passwd and this
relation samba server can`t  setup unix_homedir at session startup.
Comment 1 Tim Potter 2003-06-12 21:43:30 UTC
Reassigning to an idmap person.
Comment 2 Andrew Bartlett 2003-06-21 18:47:48 UTC
Fixed in CVS.

TDBsam does not contain this, and should not - the code that creates the [homes]
share now asks nsswitch for this information.
Comment 3 Gerald (Jerry) Carter 2005-02-07 08:39:23 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:28:18 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:31:27 UTC
database cleanup